Redmine - Defect #31157

"Markdown" becomes unavailable from Redmine 4.0.3
2019-04-06 09:44 - Hisazumi MIYAKE

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Administration Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version: 4.0.3

Description

After upgrading Redmine 4.0.1 => 4.0.3, [Administration] - [Settings]-[General]-[Text formating] setting's "Markdown" option becomes
unavailable.

We are using bitnami redmine-stack installer, version 4.0.3 (bitnami-redmine-4.0.3-0-windows-x64-installer.exe).

| apologize for my poor English skills.

History

#1 - 2019-04-06 10:05 - Go MAEDA

| recommend you to contact the BitNami team because | think the problem is inherent in BitNami.
Redmine 4.0.3 supports Markdown but "Markdown" option does not appear in the "Text formatting" setting if redcarpet gem is unavailable.
#2 - 2019-04-19 03:57 - Hisazumi MIYAKE

- Status changed from New to Resolved

Hi.

Thank you for your reply.

| contacted the Bitnami team.

| got the workaround.

Thanks.

#3 - 2019-04-19 08:41 - Go MAEDA

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thank you for the feedback.

For those who are still affected by this issue:

You can fix the issue by migrating to BitNami Redmine 4.0.3-2 or later.
Can’t Select Markdown on 4.0.3-0 - Redmine - Bitnami Community

#4 - 2019-07-25 12:39 - Lev Nazarenko
- File Boinenenne 140.png added
- File Beigenenne _141.png added

#5 - 2019-07-25 12:56 - Lev Nazarenko
Why this closed? It does not work on git cloned project (tag 4.0.4)...

UPDATE:

It can be fixed by replacing

‘gem "redcarpet”, "~> 3.4.0"™

to the

‘gem "redcarpet”, "~> 3.3.2"

Inside the “Gemfile” (you should re-bundle and restart)...
https://community.bitnami.com/t/can-t-select-markdown-on-4-0-3-0/66373
